This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 477125 - gpk-application refuses to run remotely
gpk-application refuses to run remotely
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-19 04:24 EST by Ralf Corsepius
Modified: 2009-11-19 00:02 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 12:55:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2008-12-19 04:24:40 EST
Description of problem:

gpk-application can't be run when being logged in from remote.

Version-Release number of selected component (if applicable):
gnome-packagekit-0.3.12-1.fc10.i386

How reproducible:
Always

Steps to Reproduce:
1. On a desktop, running X11, launch a terminal (in my case: gnome-terminal)
2. Inside of terminal: ssh -X account@remotemachine
3. gpk-application

  
Actual results:
An alert box pops up, reporting:

"Package installer is running when the session is not local
These applications should be run only when on local console.
This normally indicates a bug with ConsoleKit or with the way your session has started."

Expected results:
Being able to run gpk-application from remote. 

It not being able to do so, critically reduces gpk-applications applicability. It effectively reduces PackageKit into single-seat application.
Comment 1 Bill C. Riemers 2009-03-01 03:52:37 EST
This is a particular problem for virtual machines, such as coLinux, where there is no "local" display.  The user is always connected remotely by Xvnc, ssh -X, or some other means.

This bug applies to Fedora 10 as well as RawHide.
Comment 2 enzomedici 2009-03-19 14:03:00 EDT
Is there any workaround for this bug? This severely limits Fedora's usage in remote data centers. I manage remote servers running Fedora via NX Server and I cannot install applications or do other management via the gui using NX Server. These servers are thousands of miles away in various colocation centers. Luckily I only have a few running Fedora 10. 

Is there a workaround?
Comment 3 E Lilley 2009-05-24 12:31:37 EDT
This also applies to whenever a non-GDM login/display manager is used (such as XDM). You could try using yumex as your package manager until this is fixed.
Comment 4 Wendell Nichols 2009-07-01 13:21:07 EDT
I have two issues with this behavior:
-I administer several headless servers.  Whenever I want to administer the repositories  or do anything with the gpk-* apps I have to wheel a cart into the server room to do it!  Hugely wasteful of my time.
-I cannot recommend any linux dist that depends on these admin tools for use in our cloud implementation.  I cannot under any circumstances wheel a cart with a crt and keyboard into the cloud....

please get this changed so I can take redhat linux off my no-go list.
wcn
Comment 5 Steven M. Parrish 2009-09-07 21:44:14 EDT
Richard any comments?

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 6 Bug Zapper 2009-11-18 05:31:02 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Ralf Corsepius 2009-11-18 05:40:08 EST
The bug has changed its nature in F12:

> gpk-application 
Gtk-Message: Failed to load module "gnomebreakpad": libgnomebreakpad.so: cannot open shared object file: No such file or directory
Comment 8 Wendell Nichols 2009-11-18 10:52:36 EST
this issue probably exists with FC 11.  If so I will open it there (or meybe 12 )
Comment 9 Christopher Beland 2009-11-18 12:55:01 EST
Regarding comment #7, this is a different problem, and the solution is documented in the F12 Release Notes, section 4.1.3 (ABRT): http://docs.fedoraproject.org/release-notes/f12/en-US/html-single/#sect-Release_Notes-Fedora_Desktop

I am able to run gpk-application remotely using two Fedora 11 hosts, so closing.
Comment 10 Ralf Corsepius 2009-11-19 00:02:28 EST
(In reply to comment #9)
> Regarding comment #7, this is a different problem, and the solution is
> documented in the F12 Release Notes, section 4.1.3 (ABRT):
> http://docs.fedoraproject.org/release-notes/f12/en-US/html-single/#sect-Release_Notes-Fedora_Desktop

I do not agree upon this. The situation, I produced this with, was ssh'ing into a freshly installed FC12 machine from an FC11 machine.

Note You need to log in before you can comment on or make changes to this bug.